| LIRC libraries LinuxInfraredRemoteControl

Macros | Typedefs | Enumerations | Functions | Variables
config_file.c File Reference

### (085323c 2016-01-06 15:32:54 +0100)

Implements config_file.h. More...

`#include <dirent.h>`
`#include <errno.h>`
`#include <glob.h>`
`#include <limits.h>`
`#include <unistd.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <libgen.h>`
`#include <sys/socket.h>`
`#include <sys/un.h>`
`#include <sys/stat.h>`
`#include <sys/types.h>`
`#include <fcntl.h>`
`#include <ctype.h>`
`#include "include/media/lirc.h"`
`#include "lirc/lirc_log.h"`
`#include "lirc/lirc_options.h"`
`#include "lirc/ir_remote.h"`
`#include "lirc/config_file.h"`
`#include "lirc/transmit.h"`
`#include "lirc/config_flags.h"`

Go to the source code of this file.

## Macros
#define | LINE_LEN 1024
#define | MAX_INCLUDES 10

## Typedefs
typedef void *(* | array_guest_func) (void *item, void *arg)

## Enumerations
enum | directive { ID_none, ID_remote, ID_codes, ID_raw_codes, ID_raw_name }

## Functions
void ** | init_void_array (struct void_array *ar, size_t chunk_size, size_t item_size)
int | add_void_array (struct void_array *ar, void *dataptr)
void * | get_void_array (struct void_array *ar)
void * | s_malloc (size_t size)
char * | s_strdup (char *string)
ir_code | s_strtocode (const char *val)
__u32 | s_strtou32 (char *val)
int | s_strtoi (char *val)
unsigned int | s_strtoui (char *val)
lirc_t | s_strtolirc_t (char *val)
int | checkMode (int is_mode, int c_mode, char *error)
int | addSignal (struct void_array *signals, char *val)
struct ir_ncode * | defineCode (char *key, char *val, struct ir_ncode *code)
struct ir_code_node * | defineNode (struct ir_ncode *code, const char *val)
int | parseFlags (char *val)
int | defineRemote (char *key, char *val, char *val2, struct ir_remote *rem)
struct ir_remote * | read_config (FILE *f, const char *name)
void | free_config (struct ir_remote *remotes)

## Variables
const char * | whitespace = " \t"
const struct flaglist | all_flags []

## Detailed Description

Implements config_file.h.

Author
  Pablo d'Angelo

Definition in file config_file.c.

## Typedef Documentation

## § array_guest_func

typedef void*(* array_guest_func) (void *item, void *arg)

foreach_void_array argument.

Definition at line 70 of file config_file.c.

## Function Documentation

## § add_void_array()

int add_void_array | ( | struct void_array * | ar,
|  | void * | dataptr
| ) |  |

Add *dataptr to end of ar, re-allocating as necessary.

Definition at line 123 of file config_file.c.

## § get_void_array()

void* get_void_array | ( | struct void_array * | ar | ) |

Return the array dataptr, an array[nr_items] of item_size elements.

Definition at line 148 of file config_file.c.

## Variable Documentation

## § all_flags

const struct flaglist all_flags[]

Initial value:
= {
{ "RAW_CODES", RAW_CODES },
{ "RC5", RC5 },
{ "SHIFT_ENC", SHIFT_ENC },
{ "RC6", RC6 },
{ "RCMM", RCMM },
{ "SPACE_ENC", SPACE_ENC },
{ "SPACE_FIRST", SPACE_FIRST },
{ "GOLDSTAR", GOLDSTAR },
{ "GRUNDIG", GRUNDIG },
{ "BO", BO },
{ "SERIAL", SERIAL },
{ "XMP", XMP },
{ "REVERSE", REVERSE },
{ "NO_HEAD_REP", NO_HEAD_REP },
{ "NO_FOOT_REP", NO_FOOT_REP },
{ "CONST_LENGTH", CONST_LENGTH },
{ "REPEAT_HEADER", REPEAT_HEADER },
{ NULL, 0 },
}
NO_FOOT_REP
#define NO_FOOT_REP
Definition: ir_remote_types.h:136
RC6
#define RC6
Definition: ir_remote_types.h:123
GOLDSTAR
#define GOLDSTAR
Definition: ir_remote_types.h:127
SPACE_ENC
#define SPACE_ENC
Definition: ir_remote_types.h:125
RCMM
#define RCMM
Definition: ir_remote_types.h:124
RC5
#define RC5
Definition: ir_remote_types.h:117
REPEAT_HEADER
#define REPEAT_HEADER
Definition: ir_remote_types.h:138
SPACE_FIRST
#define SPACE_FIRST
Definition: ir_remote_types.h:126
CONST_LENGTH
#define CONST_LENGTH
Definition: ir_remote_types.h:137
NO_HEAD_REP
#define NO_HEAD_REP
Definition: ir_remote_types.h:135
GRUNDIG
#define GRUNDIG
Definition: ir_remote_types.h:128
SERIAL
#define SERIAL
Definition: ir_remote_types.h:130
SHIFT_ENC
#define SHIFT_ENC
Definition: ir_remote_types.h:118
BO
#define BO
Definition: ir_remote_types.h:129
RAW_CODES
#define RAW_CODES
Definition: ir_remote_types.h:116
XMP
#define XMP
Definition: ir_remote_types.h:131

All flags i config file: Their name and mask.

Definition at line 98 of file config_file.c.